<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/graphs.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">graphs.cpp File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="graphs_8h_source.html">graphs.h</a>&quot;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;random&gt;</code><br />
<code>#include &quot;<a class="el" href="utils_8h_source.html">utils.h</a>&quot;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;QPropertyAnimation&gt;</code><br />
<code>#include &lt;QPalette&gt;</code><br />
<code>#include &lt;QApplication&gt;</code><br />
<code>#include &lt;QtCharts/QLegend&gt;</code><br />
<code>#include &lt;QtCharts/QLegendMarker&gt;</code><br />
<code>#include &lt;QtCharts/QChartView&gt;</code><br />
<code>#include &lt;QtCharts/QPieSeries&gt;</code><br />
<code>#include &lt;QtCharts/QPieSlice&gt;</code><br />
<code>#include &lt;QRandomGenerator&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for graphs.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="graphs_8cpp__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2graphs_8cpp" alt=""/></div>
<map name="aalat_za_analitiku_2src_2graphs_8cpp" id="aalat_za_analitiku_2src_2graphs_8cpp">
<area shape="rect" title=" " alt="" coords="1341,5,1470,48"/>
<area shape="rect" href="graphs_8h.html" title=" " alt="" coords="987,96,1058,123"/>
<area shape="poly" title=" " alt="" coords="1341,44,1078,99,1074,99,1073,94,1077,93,1340,39"/>
<area shape="rect" title=" " alt="" coords="44,261,154,288"/>
<area shape="poly" title=" " alt="" coords="1341,32,1034,42,610,66,402,85,220,108,146,122,85,138,41,154,15,172,10,182,8,191,16,212,33,234,56,251,53,256,29,238,11,215,3,191,5,180,11,169,38,150,83,133,144,117,219,103,401,79,610,61,1034,37,1340,27"/>
<area shape="rect" title=" " alt="" coords="26,179,172,205"/>
<area shape="poly" title=" " alt="" coords="1341,33,1001,52,775,72,547,99,441,116,335,137,163,177,161,172,334,132,440,111,546,93,775,66,1001,47,1341,28"/>
<area shape="rect" title=" " alt="" coords="2211,179,2349,205"/>
<area shape="poly" title=" " alt="" coords="1341,32,1254,39,1168,54,1135,66,1115,81,1110,89,1110,98,1114,109,1123,121,1140,128,1177,134,1299,145,1653,157,2011,163,2199,168,2221,172,2220,177,2198,173,2011,168,1653,162,1299,150,1177,139,1139,133,1120,125,1109,111,1105,99,1105,88,1111,77,1133,61,1166,49,1253,34,1341,27"/>
<area shape="rect" title=" " alt="" coords="1134,96,1205,123"/>
<area shape="poly" title=" " alt="" coords="1345,51,1221,93,1219,88,1344,46"/>
<area shape="rect" title=" " alt="" coords="1230,96,1304,123"/>
<area shape="poly" title=" " alt="" coords="1371,51,1303,90,1300,86,1368,46"/>
<area shape="rect" title=" " alt="" coords="1328,96,1392,123"/>
<area shape="poly" title=" " alt="" coords="1396,50,1377,84,1372,81,1391,47"/>
<area shape="rect" href="utils_8h.html" title=" " alt="" coords="559,96,615,123"/>
<area shape="poly" title=" " alt="" coords="1341,37,631,106,630,101,1340,32"/>
<area shape="rect" title=" " alt="" coords="1417,96,1485,123"/>
<area shape="poly" title=" " alt="" coords="1419,47,1438,81,1434,84,1415,50"/>
<area shape="rect" title=" " alt="" coords="1509,96,1582,123"/>
<area shape="poly" title=" " alt="" coords="1443,46,1512,86,1509,90,1440,51"/>
<area shape="rect" title=" " alt="" coords="1606,96,1701,123"/>
<area shape="poly" title=" " alt="" coords="1470,46,1600,88,1599,93,1468,51"/>
<area shape="rect" title=" " alt="" coords="1725,96,1854,123"/>
<area shape="poly" title=" " alt="" coords="1471,39,1715,90,1714,95,1469,44"/>
<area shape="rect" title=" " alt="" coords="1878,96,2047,123"/>
<area shape="poly" title=" " alt="" coords="1470,35,1863,91,1862,96,1469,40"/>
<area shape="rect" title=" " alt="" coords="2071,96,2214,123"/>
<area shape="poly" title=" " alt="" coords="1470,31,1723,56,2056,93,2056,98,1722,61,1470,36"/>
<area shape="rect" title=" " alt="" coords="2239,96,2374,123"/>
<area shape="poly" title=" " alt="" coords="1470,29,1790,52,2003,70,2224,93,2223,98,2003,76,1789,57,1470,35"/>
<area shape="rect" title=" " alt="" coords="2399,96,2535,123"/>
<area shape="poly" title=" " alt="" coords="1470,28,1852,49,2114,68,2383,93,2383,98,2113,73,1852,54,1470,33"/>
<area shape="rect" href="dataframe_8h.html" title=" " alt="" coords="195,179,285,205"/>
<area shape="poly" title=" " alt="" coords="986,114,871,116,702,125,505,143,403,156,305,173,291,176,290,171,303,168,403,151,504,138,702,120,871,111,986,108"/>
<area shape="rect" title=" " alt="" coords="1029,261,1094,288"/>
<area shape="poly" title=" " alt="" coords="1059,117,1078,120,1194,125,1389,129,1490,134,1580,141,1648,152,1671,160,1686,169,1694,180,1696,192,1694,204,1686,215,1655,230,1598,243,1435,260,1253,270,1110,275,1109,270,1253,265,1434,255,1597,237,1653,225,1682,211,1689,202,1691,192,1689,182,1682,173,1669,164,1647,157,1579,146,1489,139,1388,134,1194,130,1077,125,1058,122"/>
<area shape="rect" title=" " alt="" coords="247,261,316,288"/>
<area shape="poly" title=" " alt="" coords="987,115,639,134,453,151,386,161,349,173,330,188,315,208,293,248,288,245,310,205,327,184,347,168,385,156,452,146,638,128,986,109"/>
<area shape="rect" title=" " alt="" coords="788,179,860,205"/>
<area shape="poly" title=" " alt="" coords="992,126,874,173,870,175,868,170,872,168,990,121"/>
<area shape="rect" title=" " alt="" coords="885,179,1003,205"/>
<area shape="poly" title=" " alt="" coords="1012,125,968,170,965,166,1008,121"/>
<area shape="poly" title=" " alt="" coords="986,114,855,117,657,127,422,144,183,173,160,177,159,172,182,168,422,139,656,121,855,112,986,108"/>
<area shape="rect" title=" " alt="" coords="1027,179,1176,205"/>
<area shape="poly" title=" " alt="" coords="1037,121,1081,166,1077,170,1033,125"/>
<area shape="rect" title=" " alt="" coords="1200,179,1366,205"/>
<area shape="poly" title=" " alt="" coords="1060,119,1228,171,1227,176,1058,124"/>
<area shape="rect" title=" " alt="" coords="1390,179,1536,205"/>
<area shape="poly" title=" " alt="" coords="1059,116,1078,120,1228,144,1378,168,1397,172,1396,177,1377,173,1227,149,1077,125,1058,121"/>
<area shape="poly" title=" " alt="" coords="1059,117,1078,120,1247,138,1392,145,1519,145,1638,142,1757,139,1885,140,2029,148,2199,168,2221,172,2220,177,2198,173,2029,154,1885,145,1757,144,1638,147,1519,150,1392,150,1247,143,1077,125,1059,122"/>
<area shape="rect" title=" " alt="" coords="1560,179,1672,205"/>
<area shape="poly" title=" " alt="" coords="1059,117,1078,120,1210,136,1313,141,1417,148,1548,168,1564,172,1563,177,1548,173,1416,153,1313,147,1209,141,1077,125,1058,122"/>
<area shape="rect" title=" " alt="" coords="1747,179,1867,205"/>
<area shape="poly" title=" " alt="" coords="1059,117,1078,120,1176,132,1260,139,1403,142,1546,147,1630,154,1728,168,1749,172,1748,177,1728,173,1629,160,1546,152,1403,148,1260,144,1176,137,1077,125,1059,122"/>
<area shape="rect" title=" " alt="" coords="1891,179,2035,205"/>
<area shape="poly" title=" " alt="" coords="1059,117,1078,120,1199,134,1302,141,1478,143,1654,145,1758,153,1879,168,1902,172,1901,177,1878,173,1757,158,1654,151,1478,148,1302,146,1199,139,1077,125,1059,122"/>
<area shape="rect" title=" " alt="" coords="2059,179,2186,205"/>
<area shape="poly" title=" " alt="" coords="1059,117,1078,120,1224,136,1349,142,1562,141,1665,139,1776,141,1900,149,2047,168,2067,172,2066,177,2046,173,1900,155,1775,146,1665,144,1563,146,1349,148,1224,141,1077,125,1059,122"/>
<area shape="rect" title=" " alt="" coords="361,179,546,205"/>
<area shape="poly" title=" " alt="" coords="987,117,802,139,558,173,531,178,530,173,557,168,802,134,986,112"/>
<area shape="rect" title=" " alt="" coords="570,171,763,213"/>
<area shape="poly" title=" " alt="" coords="987,121,774,169,773,164,986,116"/>
<area shape="poly" title=" " alt="" coords="219,208,135,256,133,251,217,204"/>
<area shape="poly" title=" " alt="" coords="285,200,348,211,541,233,731,250,1013,268,1013,274,731,255,541,238,348,216,285,205"/>
<area shape="poly" title=" " alt="" coords="249,205,271,247,266,249,244,207"/>
<area shape="poly" title=" " alt="" coords="558,118,447,140,305,173,294,176,292,171,303,168,446,135,557,113"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_data_point.html">DataPoint</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a2b9255d77582fa832f2d564715af1071" id="r_a2b9255d77582fa832f2d564715af1071"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2b9255d77582fa832f2d564715af1071">PEN_WIDTH</a>&#160;&#160;&#160;1.75</td></tr>
<tr class="separator:a2b9255d77582fa832f2d564715af1071"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2ea5d8bd18f0485abe3d59bdeecfedea" id="r_a2ea5d8bd18f0485abe3d59bdeecfedea"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2ea5d8bd18f0485abe3d59bdeecfedea">compareDataPoints</a> (const <a class="el" href="struct_data_point.html">DataPoint</a> &amp;dp1, const <a class="el" href="struct_data_point.html">DataPoint</a> &amp;dp2)</td></tr>
<tr class="separator:a2ea5d8bd18f0485abe3d59bdeecfedea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f5b99d83b51af658b567aee6ac43b51" id="r_a2f5b99d83b51af658b567aee6ac43b51"><td class="memItemLeft" align="right" valign="top">QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2f5b99d83b51af658b567aee6ac43b51">returnStat</a> (<a class="el" href="class_data_frame.html">DataFrame</a> &amp;df, QString &amp;xAxis, QString &amp;col, QString &amp;stat)</td></tr>
<tr class="separator:a2f5b99d83b51af658b567aee6ac43b51"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a2b9255d77582fa832f2d564715af1071" name="a2b9255d77582fa832f2d564715af1071"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b9255d77582fa832f2d564715af1071">&#9670;&#160;</a></span>PEN_WIDTH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PEN_WIDTH&#160;&#160;&#160;1.75</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a2ea5d8bd18f0485abe3d59bdeecfedea" name="a2ea5d8bd18f0485abe3d59bdeecfedea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ea5d8bd18f0485abe3d59bdeecfedea">&#9670;&#160;</a></span>compareDataPoints()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool compareDataPoints </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_data_point.html">DataPoint</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>dp1</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="struct_data_point.html">DataPoint</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>dp2</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f5b99d83b51af658b567aee6ac43b51" name="a2f5b99d83b51af658b567aee6ac43b51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f5b99d83b51af658b567aee6ac43b51">&#9670;&#160;</a></span>returnStat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt; double &gt; returnStat </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_data_frame.html">DataFrame</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>df</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>xAxis</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>col</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>stat</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
